package mngr

import (
	"gitlab.smartblocklab.com/smartcontracts/common/model/requests"
	"gitlab.smartblocklab.com/smartcontracts/common/model/preferenceCC"
	"gitlab.smartblocklab.com/smartcontracts/common/chaincode"
)

func (this SystemPreferenceManagerImpl) GetPreference(key *requests.Id) (*preferenceCC.Preference, error) {
	validObject, err := this.GetObject(&preferenceCC.Preference{}, key.Id)
	if err != nil {
		chaincode.GlobalLogger.Errorf(err.Error())
		return nil, err
	}

	return preferenceCC.Cast(validObject)
}
